0
:

 

 

  
: 0
.
? vmwareplayer ( ) . . player'a .
: 0
vmwareplayer - GUI

,

Examples for vmrun

For example, to start a virtual machine:
In a Linux terminal, enter

vmrun start /usr/local/VMs/<virtual_machine_name>.vmx
: 1 (: 28 2016 14:38)
: 0
/usr/local/ VMs
/usr/bin/vmplayer %u/
vmplayer ?
PHP:
  1. #!/usr/bin/env bash
  2. #
  3. # Copyright 2005-2008 VMware, Inc. All rights reserved.
  4. #
  5. # Wrapper for the real 'vmplayer' binary. Ensure that the
  6. # binary will find all the shared libraries it needs. If a shared
  7. # library is not available from any of the standard system-wide
  8. # locations, we provide it from the location where the VMware software
  9. # is installed.
  10. #
  11.  
  12. set -e
  13.  
  14. ETCDIR=/etc/vmware
  15. . $ETCDIR/bootstrap
  16.  
  17. export PRODUCT_NAME="VMware Player"
  18. libdir="$LIBDIR"/vmware
  19.  
  20. bindir=$libdir/bin
  21. sharedir=$libdir/share
  22.  
  23. export VMWARE_ZENITY_UI_FILE=$sharedir/zenity/zenity.ui
  24. ZENITY=$bindir/vmware-zenity
  25.  
  26. toolsRebuildError="
  27. The VMware Tools kernel modules could not be automatically rebuilt.
  28.  
  29. Please manually run:
  30. vmware-config-tools.pl --modules-only
  31. To rebuild them.
  32. "
  33.  
  34. # The new Ubuntu menu system "steals" our menu out of the UI, which causes problems
  35. # with fullscreening. These variables disable that in various unity versions.
  36. export APPMENU_DISPLAY_BOTH=1
  37. export UBUNTU_MENUPROXY=0
  38.  
  39. # bug-buddy breaks logging
  40. export GNOME_DISABLE_CRASH_DIALOG=1
  41.  
  42. vmci_alias='pci:v000015ADd00000740sv*sd*bc*sc*i*'
  43. vsock_alias='vmware_vsock'
  44. vmmon='vmmon'
  45.  
  46. vmware_module_exists()
  47. {
  48. modalias=$1
  49. /sbin/modprobe -n $modalias > /dev/null 2>&1
  50. }
  51.  
  52. # If there are command line arguments like -version, launch the binary without
  53. # checking configuration state or running the module updater.
  54. if echo "$1" | grep -q "^-"; then
  55. exec "$libdir"/bin/"vmplayer" "$@"
  56. fi
  57.  
  58. # Only run the GUI if DISPLAY is set.
  59. if [ -z "$DISPLAY" ]; then
  60. echo "DISPLAY is not set, unable to open the $PRODUCT_NAME user interface."
  61. exit 1
  62. fi
  63.  
  64. # If we are running in a VM, vmci, vsock, and vmblock will not be under our
  65. # control. If the files don't exist and we are not controlling them, call out
  66. # to Tools in order to build them.
  67. # Also note that vmblock may be handled as a fuse module and hence may not
  68. # be installed as a kernel module. It might also not be there at all so we don't
  69. # check for it.
  70. if ! cat $libdir/modules/modules.xml|grep -q 'name="vmci"'; then
  71. set +e # Unset failure mode, we want to catch and deal with errors on our own
  72. failure=0
  73. if ! vmware_module_exists $vmci_alias || ! vmware_module_exists $vsock_alias; then
  74. # The locations database is appended to with each reconfiguration, so
  75. # be sure only to grab only the final appearing value.
  76. tools_BINDIR=`grep "answer BINDIR" /etc/vmware-tools/locations | tail -1 |cut -d ' ' -f 3`
  77. if [ -d "$tools_BINDIR" ]; then
  78. echo "Rebuilding VMware Tools modules..."
  79. outfile=`mktemp /tmp/vmware-modulesXXXXXX`
  80. ${tools_BINDIR}/vmware-config-tools.pl --modules-only --default >${outfile} 2>&1
  81. retval=$?
  82. if [ $retval != "0" ]; then
  83. cat ${outfile}
  84. rm -f ${outfile}
  85. failure=1
  86. fi
  87. rm -f ${outfile}
  88. else
  89. failure=1
  90. fi
  91. fi
  92.  
  93. # If we hit a failure, report to the user that we failed.
  94. if [ "$failure" = "1" ]; then
  95. echo "******************************************************************"
  96. echo "$toolsRebuildError"
  97. $ZENITY --error --text="$toolsRebuildError"
  98. exit 1
  99. fi
  100. set -e # Reset failure mode
  101. fi
  102.  
  103. if "$BINDIR"/vmware-modconfig --appname="VMware Player" --icon="vmware-player" &&
  104. vmware_module_exists $vmmon; then
  105. exec "$libdir"/bin/"vmplayer" "$@"
  106. fi
  107.  
: 0
korobo4kin:
/usr/local/ VMs
- smile

.wmx - :
PHP:
  1. sudo find / -name *.wmx -type f
vmrun?
- list (), . usage .


, vmware :)
, -...

korobo4kin:
Wrapper for the real 'vmplayer' binary.
, .. vmplayer' .
usage , - :
PHP:
  1. vmplayer --help
: 1 (: 29 2016 11:24)
: 0
Chocobo, , .
 
|
:
, .